<?php
/*------------------------------------------------------------------------
# mod_yourmodfile - jquery reel
# ------------------------------------------------------------------------
# author    artd webdesign GmbH
# copyright Copyright (C) 2012 artd.ch. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://artd.ch
# Technical Support:  http://artd.ch
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

if (!file_exists('images/mod_jquery_reel_bgs')) { // create folder for 1x1 px bg if doesnt exists
	mkdir('images/mod_jquery_reel_bgs');
}
?>
<div id="mod_jquery_reel_ID_<?php echo $mod_id; ?>">

<div class="panorama" style="width: <?php echo $width ?>px; height: <?php echo $height ?>px;">
	  <div class="panorama-view">
		    <div class="panorama-container">
		      <img src="<?php echo $image_url ?>" <?php if(count($hotspots)>0) { ?> usemap="hotspots"<?php } ?> circlemap="yes" data-width="<?php echo $dataWidth;?>" data-height="<?php echo $dataHeight;?>" />
		      
		    <?php if(count($hotspots)>0) { ?>
			<map id="hotspots" name="hotspots"> 
				<?php
					for ($i = 0; $i < $numberOfHotspots; $i++){
						if (isset($hotspots[$i])){
							
							echo '<area class="hotspot'.$i.'id'.$mod_id.'" target="'.$hotspotTargets[$i].'" teaser="'.$hotspotTeasers[$i].'" shape="rect" coords="'.$hotspots[$i].'" href="'.$hotspotsLinks[$i].'" description="'.$hotspotsDescriptions[$i].'" />';
						}
					}
				?>
			</map>
		    <?php } ?>
		    
			<?php
			if (count($circleCords)>0) {
				for ($i = 0; $i < $numberOfCircles; $i++) {
					if (isset($circleCords[$i])){
						
					echo '<a class="circle circle'.$i.'id'.$mod_id.'" coords="'.$circleCords[$i].'" description="'.$circleDesc[$i].'"></a>';					
					}
				}
			}
			?>
			
		      
		    </div>
	  </div>
	  <?php if (isset($captionText)) { ?>
	  <a class="info round <?php echo $captionPosX.' '.$captionPosY;?>" target="_blank" href="<?php echo $captionLink; ?>"><?php echo $captionText; ?></a>
	  <?php } ?>
</div>
<?php
if ($scrollButtons=='true') {
?>
	<div class="leftButton">Left</div>
	<div class="rightButton">Right</div>
<?php
}
?>

<div class="mod_jquery_reel_clear"></div>


<script type="text/javascript">
	
	var currentPanorama = $('#mod_jquery_reel_ID_<?php echo $mod_id; ?>').children('.panorama').children('.panorama-view');

	currentPanorama.panorama360( {auto_scroll: <?php echo $auto_scroll; ?>} );

	// bind mouseevent to hotspots if exists
	<?php
	for ($i = 0; $i < $numberOfHotspots; $i++){
		if (isset($hotspots[$i])){
			
			if (!file_exists('images/mod_jquery_reel_bgs/bg'.$hoverColor[$i].$hoverOpacity[$i].'.png')){
				$currentColor = $hoverColor[$i];
				$currentOpacity = $hoverOpacity[$i];
				require ('modules/mod_jquery_reel/includes/createBgPixel.php');
			}	
			?>
			
			$('.hotspot<?php echo $i ?>id<?php echo $mod_id ?>').bind('mouseenter', function(){
				
				$(this).html($(this).attr("description")).hide().fadeIn('fast');
				$(this).css('background','url("<?php echo JURI::base()?>images/mod_jquery_reel_bgs/bg'+'<?php echo $hoverColor[$i]; ?>'+'<?php echo $hoverOpacity[$i]; ?>'+'.png")');
				
			}).bind('mouseleave', function(){
				
				$(this).html($(this).attr("teaser")).hide().fadeIn('fast');
				$(this).css('background','url(<?php echo JURI::base()?>modules/mod_jquery_reel/images/bgTransparent.png)');
			});
			
			<?php
		}
	}
	?>
	
	<?php
	if (count($circleCords)>0) 
	{
		for ($i = 0; $i < $numberOfCircles; $i++) 
		{
			if (isset($circleCords[$i]))
			{
				
				if (!file_exists('images/mod_jquery_reel_bgs/circle'.$circleColor[$i].$circleOpacity[$i].'.png')){
					$currentColor = $circleColor[$i];
					$currentOpacity = $circleOpacity[$i];
					require ('modules/mod_jquery_reel/includes/colorizeCircle.php');
				}
				
				if (!file_exists('images/mod_jquery_reel_bgs/bg'.$layerColor[$i].$layerOpacity[$i].'.png')){
					$currentColor = $layerColor[$i];
					$currentOpacity = $layerOpacity[$i];
					require ('modules/mod_jquery_reel/includes/createBgPixel.php');
				}	
				
				?>
				
				// color of circle
				$('.circle<?php echo $i; ?>id<?php echo $mod_id; ?>').css({
					'background-image': 'url("<?php echo JURI::base()?>images/mod_jquery_reel_bgs/circle<?php echo $circleColor[$i].$circleOpacity[$i]; ?>.png")'
				});
				
				// bind mouseevents to circles
				$('.circle<?php echo $i; ?>id<?php echo $mod_id; ?>').bind("mouseenter",function(evt){

					var layer = $(document.createElement('div')).addClass("description_layer"); // create description layer
					layer.html('<a target="<?php echo $circleTarget[$i]; ?>" href="<?php echo $circleLink[$i]; ?>">'+$(this).attr("description")+'</a>');
					layer.css('left', $(this).position().left - 10);
					layer.css('top', $(this).position().top - 10);
					<?php
					if (isset($layerColor[$i]))
					{ 
					?>
						layer.css('background', 'url("<?php echo JURI::base()?>images/mod_jquery_reel_bgs/bg<?php echo $layerColor[$i].$layerOpacity[$i]; ?>.png")');
					<?php	
					}
					?>
					
					$(this).parent().append(layer); // append this layer into same element as circle is
					layer.hide().fadeIn("fast");
					
					layer.bind('mouseleave', function(){
						$(this).fadeOut("fast", function(){
							$(this).remove();
						});
					});
				});
			<?php
			}
		}
	}?>
	console.log("<?php echo JURI::base()?>");
</script>

</div>










